import request from "@/utils/request";
import type { ShortLink } from "@/types/ShortLink";
import type { LogListParams } from "@/types/LogListParams";
import type { AxiosResponse } from "axios";

export const listShortLink = (params: { pageNum: number; pageSize: number }) =>
  request({
    method: "get",
    url: "/shortLink/list",
    params,
  });

export const addShortLink = (data: ShortLink) =>
  request({
    method: "post",
    url: "/shortLink",
    data,
  });
export const updateShortLink = (data: ShortLink) =>
  request({
    method: "put",
    url: "/shortLink",
    data,
  });
export const getDetailById = (
  id: number
): Promise<AxiosResponse<{ data: ShortLink }>> =>
  request({ method: "get", url: `/shortLink/getInfo/${id}` });

export const deleteShortLink = (ids: string) =>
  request({
    url: `/shortLink/${ids}`,
    method: "delete",
  });

export const listLogList = (params: LogListParams) =>
  request({
    url: `/shortLink/getShortLinkLogList`,
    method: "get",
    params,
  });
